View storage volumes
Paying attention to your storage resources in the Bare Metal Solution environment helps you determine if your servers have enough storage capacity for applications and workloads.
To view the details of your storage volumes, follow these steps:
Console
Go to the Volumes page.
The Volumes page lists all your storage volumes with the following details:
Field Description Example Status Indicates the availability of a storage volume A green circle with a check mark indicates that the storage volume is ready. ID Identifier assigned to your storage volume.
- Click the ID to view basic information about the storage volume, including LUNs and snapshots.
- Share the ID with Google Cloud support when troubleshooting this resource.
- Boot volume:
at-1234567-svr001-vol000-b1 - Fibre Channel volume:
at-1111111-vol001 - NFS share:
at-2222222-nfs001-vol000
Name Storage volume name. Click the name to view additional information about the storage volume, including LUNs and snapshots.
Note: If you did not enter a name when you provisioned your storage volume, the ID appears in this field.- Boot volume:
boot-volume-1 - Fibre Channel volume:
fibre-channel-volume-5 - NFS share:
nfs-share-7
Location Region where the storage volume is located asia-southeast1Pod Pod that contains your storage volume. A pod is a unit of isolation that contains your Bare Metal Solution resources. Resources in different pods cannot be connected. A region can have multiple pods.
The Pod column is disabled by default. To enable it, do the following:
- Click Column display options.
- Select the Pod checkbox.
- Click OK.
If you don't want to enable the Pod column, you can view the pod of a storage volume by clicking the storage volume name.
asia-southeast1-pod1Type Hard drive or solid-state drive HDD - Hard driveLabels Displays any labels you added to this storage resource
You can use labels to filter the console output by copying the text of a label and pasting it in the Filter box just above the Status field.environment:test
gcloud
To view all storage volumes in your Bare Metal Solution environment and see their status, enter your project ID and issue the
gcloud bms volumes listcommand: The following output example shows three storage volumes, the project ID, region, volume size and storage type.gcloud bms volumes list --project=PROJECT_ID
NAME PROJECT REGION REQUESTED_SIZE_GIB STORAGE_TYPE STATE at-1234567-svr001-vol000-b1 PROJECT_ID REGION 200 SSD READY at-1111111-vol001 PROJECT_ID REGION 1024 SSD READY at-2222222-nfs001-vol000 PROJECT_ID REGION 400 HDD READY
To view a single storage volume, enter your storage volume name, project ID, and region, and issue the
gcloud bms volumes describecommand: The following output example shows the storage volume size, name, snapshot auto deletion policy, state, and storage type.gcloud bms volumes describe VOLUME_NAME --project=PROJECT_ID --region=REGION
currentSizeGib: '250' name: projects/PROJECT_ID/locations/REGION/volumes/VOLUME_NAME requestedSizeGib: '250' snapshotAutoDeleteBehavior: OLDEST_FIRST snapshotReservationDetail: reservedSpaceGib: '50' reservedSpaceRemainingGib: '50' state: READY storageType: SSD
To view all LUNs for your storage volume, enter your project ID, region, and storage volume name, and issue the
gcloud bms volumes luns listcommand: The following output example shows the names of the LUNs, region, storage volume name, volume size, and the state.gcloud bms volumes luns list --project=PROJECT_ID --region=REGION --volume=VOLUME_NAME
NAME REGION VOLUME SIZE_GB STATE at-11111111-vol001-lun000 REGION VOLUME_NAME 200 READY
To view details for a single LUN, enter your project ID, region, and LUN name, and issue the
gcloud bms volumes luns describecommand: The following output example shows the LUN name and storage volume information, such as size, state, storage type, name, and ID.gcloud bms volumes luns describe LUN_NAME --project=PROJECT_ID --region=REGION --volume=VOLUME_NAME
bootLun: true name: projects/PROJECT_ID/locations/REGION/volumes/VOLUME_NAME/luns/LUN_NAME sizeGb: '200' state: READY storageType: SSD storageVolume: VOLUME_NAME wwid: 600a09803831434434244f774d616b94
API
Open a Cloud Shell terminal window in your Google Cloud console.
To view all storage volumes in your Bare Metal Solution environment and see their status, enter your project ID and region into the following
curlcommand. Copy the command, paste it into the Cloud Shell prompt, and press the Enter or Return key:curl -X GET \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ -H "X-Goog-User-Project: PROJECT_ID" \ -H "Content-Type: application/json" \ "https://baremetalsolution.googleapis.com/v2/projects/PROJECT_ID/locations/REGION/volumes"
To view a single storage volume, enter your project ID, region, and storage volume name and issue the following command:
curl -X GET \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ -H "X-Goog-User-Project: PROJECT_ID" \ -H "Content-Type: application/json" \ "https://baremetalsolution.googleapis.com/v2/projects/PROJECT_ID/locations/REGION/volumes/VOLUME_NAME"
To view all logical unit numbers (LUNs) for your storage volume, enter your project ID, region, and storage volume name, then issue the following command:
curl -X GET \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ -H "X-Goog-User-Project: PROJECT_ID" \ -H "Content-Type: application/json" \ "https://baremetalsolution.googleapis.com/v2/projects/PROJECT_ID/locations/REGION/volumes/VOLUME_NAME/luns
To view details for a single LUN, enter your project ID, region, storage volume name, and LUN name and issue the following command:
curl -X GET \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ -H "X-Goog-User-Project: PROJECT_ID" \ -H "Content-Type: application/json" \ "https://baremetalsolution.googleapis.com/v2/projects/PROJECT_ID/locations/REGION/volumes/VOLUME_NAME/luns/LUN_NAME"